Subject: Re: [RFC] [PATCH] Trace TLBIE's

From: Balbir Singh <[email-masked]>
Date: Thu, 06 Apr 2017 16:23:25 +1000

On Thu, 2017-04-06 at 16:03 +1000, Michael Ellerman wrote:
> Alistair Popple <[email-masked]> writes:
> 
> > On Wed, 23 Nov 2016 10:40:36 PM Balbir Singh wrote:
> > > 
> > > > But overall I guess it's OK. We'd want to do a quick benchmark to make
> > > > sure it's not adding any overhead.
> > > 
> > > OK.. I'll try and find a benchmark and run it with traces disabled.
> > 
> > For what's it's worth I didn't notice any slow down running a NAMD
> > test with tracing disabled and ~400000 tlbie's in 34s. Turning tracing
> > on could have slowed things down ever so slightly, but I didn't notice
> > as it may have just been in the noise of the benchmark I was running
> > (I wasn't specifically looking at timing, hence the vagueness of the
> > remarks).
> > 
> > Otherwise the patch worked and would be useful - I have already had to
> > setup tlbie counting/tracing several times in the last 12 months.
> > 
> > Tested-by: Alistair Popple <[email-masked]>
> 
> OK thanks.
> 
> To get it merged I'd like:
>  - always called after the barriers.
>  - no calls in loops, instead add a "count" field to the trace point and
>    when we call it multiple times in a loop we pass the count.
> 
> So you'd see entries something like:
> 
> <...>-5141  [062]  1354.486693: tlbie: lpid=0, local=1, rb=0x7b5d0ff874f11f1, rs=0, ric=0, prs=0, r=0, count=128
> 

I'll double check the patches and repost if required.

Balbir Singh.